<?xml version="1.0" encoding="UTF-8"?>
<!-- edited with XMLSPY v2004 rel. 3 U (http://www.xmlspy.com) by alex (mmlab) -->
<rmml xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="L:\collaborative-nir\program\Cscl3DWS\rmml\RMML.xsd">
<!--
Big view
-->
	<!--
	ммлаб
	-->
	<composition _name="CBigView" _depth="-100" _x="0" _y="0" enabled="true" >
		<script ><![CDATA[
			this.subImage = null;
			this.upsubImage = null;
			this.camera = null;
			this.viewport = null;
			//
			function	show(x, y, w, h, cam)
			{
//				trace("1. create ksjhgleklwqer glqrewfh l");
				loadSubImage("rmgr:bigview\\bvsub.png");
				if(this.upsubImage == null)
				{
					this.upsubImage = new Image;
					this.upsubImage.src = "rmgr:bigview\\bvsubup.png";
					this.upsubImage._depth = -2;
					this.upsubImage.parent = this;
					this.upsubImage.useHandCursor=false;
					this.upsubImage.onPress=function()
					{
						trace("##################2");
					};
				}
				if(this.viewport == null)
				{
					this.viewport = new Viewport();
					this.viewport._x = 0;
					this.viewport._y = 0;
					this.viewport._width = w;
					this.viewport._height = h;
					this.viewport._depth = -1;
					this.viewport.parent = this;
					this.viewport.enabled=false;
					this.viewport.onPress = function(){}
				}
				this.viewport._camera = cam;
				this._x = x;
				this._y = y;
			}

			function loadSubImage(path)
			{
				if(this.subImage == null)
				{
					this.subImage = new Image;
					this.subImage.src = path;
					this.subImage.parent = this;
					this.subImage.useHandCursor=false;
					this.subImage.enable=true;
					this.subImage.onPress=function()
					{
						//trace("#################################3");
					}
				}
				else
					this.subImage.src = path;
				trace("abs loadSubImage = "+path);
			}

			function hide()
			{
				if( this.viewport != null)
					this.viewport._camera = null;
			}

			function addObject(obj)
			{
			// return;
				if( this.viewport != null)
				{
					if( this.viewport.include == null)
						this.viewport.include = new Array();
					this.viewport.include[this.viewport.include.length] = obj;
					trace("this.viewport.include.length="+this.viewport.include.length);
					this.viewport.include = this.viewport.include;
				}
			}

			function removeObject(obj)
			{
				if( this.viewport != null)
				{
					var len = this.viewport.include.length;
					for(i=0; i<len; i++)
						if( this.viewport.include[i] == obj)
							break;
					if( i == len)	return;	// object not found
					this.viewport.include.splice(i,1);
				}
			}

			function moveTo(x, y)
			{
				this._x = x;
				this._y = y;
			}
		]]></script>
	</composition>
</rmml>
